summaryrefslogtreecommitdiffstats
path: root/libraries/wcslib
diff options
context:
space:
mode:
author Nitish Ragoomundun2017-05-12 23:55:49 +0200
committer Willy Sudiarto Raharjo2017-05-13 01:58:52 +0200
commita284679f8f1f8422715672cde00bb2a3b9e3c896 (patch)
treed8f9823ec77f141b56b8f2f73bdb2299f6ba8462 /libraries/wcslib
parenta9a7eb6c73fc46bb08164dcfdc21fa862fd1e205 (diff)
downloadslackbuilds-a284679f8f1f8422715672cde00bb2a3b9e3c896.tar.gz
libraries/wcslib: Added (World Coordinate System for FITS).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'libraries/wcslib')
-rw-r--r--libraries/wcslib/README11
-rw-r--r--libraries/wcslib/slack-desc19
-rw-r--r--libraries/wcslib/wcslib.SlackBuild105
-rw-r--r--libraries/wcslib/wcslib.info10
4 files changed, 145 insertions, 0 deletions
diff --git a/libraries/wcslib/README b/libraries/wcslib/README
new file mode 100644
index 0000000000..8ea64be5d9
--- /dev/null
+++ b/libraries/wcslib/README
@@ -0,0 +1,11 @@
+WCSLIB is a set of C library routines that implements the World
+Coordinate System (WCS) standard in FITS (Flexible Image Transport
+System). It comes with support for FORTRAN via a set of wrapper
+functions. It also includes a general curvilinear axis drawing
+routine, PGSBOX, for PGPLOT. Another included utility program is
+HPXcvt, which is used to convert 1D HEALPix pixelization data stored
+in a variety of forms in FITS into a 2D primary image array with HPX
+or XPH coordinate representation.
+
+Usage with gcc compiler: use "-lwcs" command line argument for linking
+at compile time.
diff --git a/libraries/wcslib/slack-desc b/libraries/wcslib/slack-desc
new file mode 100644
index 0000000000..2051c37450
--- /dev/null
+++ b/libraries/wcslib/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+wcslib: wcslib (World Coordinate System for FITS)
+wcslib:
+wcslib: WCSLIB is a C library, supplied with a full set of Fortran wrappers,
+wcslib: that implements the World Coordinate System (WCS) standard in FITS
+wcslib: (Flexible Image Transport System). It also includes a PGPLOT-based
+wcslib: routine, PGSBOX, for drawing general curvilinear coordinate
+wcslib: graticules and a number of utility programs.
+wcslib:
+wcslib:
+wcslib: Homepage: http://www.atnf.csiro.au/people/mcalabre/WCS/
+wcslib:
diff --git a/libraries/wcslib/wcslib.SlackBuild b/libraries/wcslib/wcslib.SlackBuild
new file mode 100644
index 0000000000..3bb417c0af
--- /dev/null
+++ b/libraries/wcslib/wcslib.SlackBuild
@@ -0,0 +1,105 @@
+#!/bin/sh
+
+# Slackware build script for WCSLIB
+
+# Copyright 2017 Nitish Ragoomundun, Mauritius
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+PRGNAM=wcslib
+VERSION=${VERSION:-5.16}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --with-cfitsio \
+ --with-pgplot \
+ --with-cfitsiolib=/usr/lib${LIBDIRSUFFIX} \
+ --with-cfitsioinc=/usr/include \
+ --with-pgplotlib=${PGPLOT_DIR} \
+ --with-pgplotinc=${PGPLOT_DIR} \
+ --with-x \
+ --build=$ARCH-slackware-linux
+
+make -j1
+make install DESTDIR=$PKG
+
+# fix crazy permissions
+chmod -R u+w,g-ws $PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/wcslib/wcslib.info b/libraries/wcslib/wcslib.info
new file mode 100644
index 0000000000..036897b008
--- /dev/null
+++ b/libraries/wcslib/wcslib.info
@@ -0,0 +1,10 @@
+PRGNAM="wcslib"
+VERSION="5.16"
+HOMEPAGE="http://www.atnf.csiro.au/people/mcalabre/WCS/"
+DOWNLOAD="ftp://ftp.atnf.csiro.au/pub/software/wcslib/wcslib.tar.bz2"
+MD5SUM="8608b3e7f36a7d82a670c3569ad21817"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="cfitsio pgplot"
+MAINTAINER="Nitish Ragoomundun"
+EMAIL="lrugratz@gmail.com"